@using MyVod.Infrastructure.Models
@using Microsoft.AspNetCore.Mvc.TagHelpers
@model MyVod.Areas.Admin.ViewModels.MoviePageModel

@{
    ViewBag.Title = "Edit Movie";
    Layout = "_Layout";
}

<h2 class="page-header">Edit Genre</h2>

<section class="single-movie-container">

    @using (Html.BeginForm("Edit", "Movie", FormMethod.Post, new { area = "admin" }))
    {
        <p>Title</p>
        <input asp-for="Current.Title"/>
    
        <p>EnglishTitle:</p>
        <input asp-for="Current.EnglishTitle" />
    
        <p>Origin: </p>
        <input asp-for="Current.Origin" />
    
        <p>Cover: </p>
        <input asp-for="Current.Cover" />
    
        <p>Description: </p>
        <input asp-for="Current.Description" />
    
        <p>Trailer: </p>
        <input asp-for="Current.Trailer" />
    
        <p>Released At: </p>
        <input asp-for="Current.ReleasedAt" />
    
        <p>Director: </p>
        @Html.DropDownListFor(m => m.Director, Model!.Persons);
    
        <p>Genre: </p> 
        @Html.DropDownListFor(m => m.Genre, Model!.Genres)
    
        <p>Writers: </p>
        @Html.DropDownListFor(m => m.Writers, Model!.Persons, new { multiple = "multiple" })
    
        <input asp-for="Current.Id" hidden="hidden"/>
    
        <section>
            <p>Price: (remember to put integer => 1000 is 10.00$)</p>
            <input asp-for="Current.Price"/>
        </section>
    
        <section>
            <p>License: (!important!!!)</p>
            <p>From: </p>
            <input asp-for="Current.AvailableFrom" />
            <p>To: </p>
            <input asp-for="Current.AvailableTo" />
        </section>
    
        <section>
            <p>Status:</p>

            <select asp-for="Current.Status" asp-items="Enum.GetValues<MovieStatus>().Select(x => new SelectListItem(x.ToString(), Convert.ToInt16(x).ToString(), Model?.Current?.Status == x))">
            </select>
        </section>

        <input type="submit" value="Edit"/>
    }
</section>